      
        %********VOL GTO ARIANE RAPPORTE A LA TERRE ******



clear
clg;

a=24370;mut=39.86e4;e=0.7299;


vitm=(mut/a^3)^0.5;
hold on;

% Axes pour faire entrer l orbite geostationnaire
axis([- 44000 44000 -44000 44000]);

%Titre
text(-30000,50000,'TIR GTO PAR ARIANE: vue en Terre fixe');

%Trace de la Terre
s=0:3.6:360;
plot(6300*cos(s),6300*sin(s),'*b');

text(-4500,-800,'TERRE');

%Trace du niveau geostationnaire
plot(42200*cos(s),42200*sin(s),'*b');


%Trace du point de stationnement a -31.4 de longitude est
plot(42200*cos(-31.4*pi/180),42200*sin(-31.4*pi/180),'*w');
plot(6300*cos(-31.4*pi/180),6300*sin(-31.4*pi/180),'*w');

%Trace de greenwich
r=0:800:42200;u=zeros(length(r));
plot(r,u,'.b');
text(15000,1000,'Greenwich');

%Chargement du fichier de resultats

load arian.res;
 
   longi=arian(:,2);             % longitude en degres
   lati=arian(:,3);              % latitude en degres
   temps=arian(:,1);
  

k=length(temps);

for i=1:k,
   	phi=pi;
	% Calcul de phi par iteration
   		for j=1:10,
		    phi=e*sin(phi)+vitm*temps(i);
   		end

rayon=a*(1-e*cos(phi));
X=rayon*cos(longi(i)*pi/180);
Y=rayon*sin(longi(i)*pi/180);


	if i<150,
	plot(X,Y,'*r')
	end

	if i<300 & i>150,
	plot(X,Y,'og')
	end

	if i>300 & sin(phi)>0, 
            plot(X,Y,'.w')	
	  else if i>300 & sin(phi)<0,
		plot(X,Y,'.i')	
              end	
		
	end

end
text(-50000,-52000,'LA MISE A POSTE A LIEU AU POINT DE STATIONNEMENT')

pause;
clg;
disp('      POUR QUITTER CETTE FENETRE ET REVENIR AU PB');
disp(' ');
disp('      COMMUTEZ SUR LES FENETRES DE TRAVAIL');



