

% Chargement du fichier des points survols par Ariane
clear
load arian.res;

clg;

hold on;

axis([- 180 180 -10 10]);

t=-180:5:180;
zt=zeros(length(t),1);
u=-10:1:10;
a=90*ones(length(u),1);
zu=zeros(length(u),1);
b=90*ones(length(t),1);

%axe des longitudes

plot(t,zt,'.w');

%axe des latitudes

plot(zu,u,'.w');

% Bord suprieur
plot(t,b/9,'.w');

%bord infrieur

plot(t,-b/9,'.w');

%bord droit

plot(2*a,u,'.w');

%bord gauche

plot(-2*a,u,'.w');

% Nom de la simulation

text(90,8,'Vol G.T.O Ariane');

% Echelles

text(-185,-2,'-180');

text(175,-2,'180');

text(180,1,'EST');

text(-190,1,'OUEST');

title('SIMULATION DE TRACE AU SOL TIR ARIANE');

%Initialisation des matrices
 
longitude=[];
latitude=[];

l=length(arian)-1;

   longi=arian(:,2);
   lati=arian(:,3);

for i=1:length(arian)-1,


  for j=1:100,
    j=j+1;
  end
  
  if (l/3-i+1)*i>=0 
     plot(longi(i),lati(i),'or');

  end

 if (i-1-l/3)*(i-2-2*l/3)<=0 
     plot(longi(i),lati(i),'og');
  end

 if (i-1-2*l/3)*(i-l)<=0 
     plot(longi(i),lati(i),'ow');
  end

end

plot(48,0,'*g')

% Limite suprieure en latitude
mx=max(lati);
limsup=mx*ones(length(t),1);

plot(t,limsup,'.w');

plot(t,-limsup,'.w');

text(0,8,'7.2');
text(0,-8,'-7.2');
text(25,-12,'QUITTER=APPUYER TOUCHE');
pause;
%clg;
disp('      POUR QUITTER CETTE FENETRE ET REVENIR AU PB');
disp(' ');
disp('      COMMUTEZ SUR LES FENETRES DE TRAVAIL');



